Summary:	IBM 3270 terminal emulator
Summary(pl.UTF-8):	Emulator terminala IBM 3270
Name:		suite3270
Version:	3.3.13ga7
Release:	3
License:	MIT-like
Group:		Applications/Terminal
Source0:	http://x3270.bgp.nu/download/%{name}-%{version}-src.tgz
# Source0-md5:	da115fb25eb4e3117988d2e4b1829f2f
Source1:	x3270.png
Source2:	x3270.desktop
Patch0:		x3270-paths.patch
Patch1:		ibmhostpath.patch
URL:		http://x3270.bgp.nu/
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	tcl-devel >= 8.4
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-imake
Requires(post,postun):	fontpostinst
# better separate x3270 (the rest doesn't depend on X)
Obsoletes:	x3270
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
x3270 is an IBM 3270 terminal emulator. It runs over a TELNET
connection, emulating either an IBM 3279 (color) or 3278 (monochrome).
It supports:
 - The full TN3270E protocol
 - SSL/TLS (via the OpenSSL library) for encrypted sessions
 - APL2 characters
 - Non-English character sets, including Russian, Turkish, Hebrew and
   DBCS Chinese and Japanese
 - IND$FILE file transfer
 - NVT mode (emulating a color xterm)
 - A pop-up keypad for 3270-specific keys
 - A scrollbar
 - Printer session integration
 - Extensive debugging and scripting facilities

It does not yet support graphics.

x3270 is available in several different forms:
 - x3270 is for use on a graphics display
 - c3270 is a curses-based version for use on a dumb terminal (e.g., a
   serial terminal or a Linux console)
 - s3270 is a displayless version for writing screen-scraping scripts
 - tcl3270 is similar to s3270, but integrated with Tcl
 - pr3287 is for printer emulation

%description -l pl.UTF-8
x3270 to emulator terminala IBM 3270. Działa po połączeniu TELNET,
emulując terminal IBM 3279 (kolorowy) lub 3278 (monochromatyczny).
Obsługuje:
 - pełny protokół TN3270E
 - SSL/TLS (poprzez bibliotekę OpenSSL) do szyfrowanych sesji
 - znaki APL2
 - różne zestawy znaków, włącznie z rosyjskim, tureckim, hebrajskim
   oraz chińskim i japońskim DBCS
 - przesyłanie plików IND$FILE
 - tryb NVT (emulację terminala kolorowego)
 - wyskakujący keypad do klawiszy specyficznych dla 3270
 - pasek przewijania
 - integrację sesji drukarki
 - śledzenie i skrypty.

Nie obsługuje jeszcze grafiki.

x3270 jest dostępny w kilku różnych postaciach:
 - x3270 do używania na ekranie graficznym
 - c3270 to wersja oparta o curses do używania na prostym terminalu
   (np. terminalu szeregowym lub konsoli linuksowej)
 - s3270 to wersja niewyświetlająca, do pisania skryptów
 - tcl3270 to wersja podobna do s3270, ale zintegrowana z Tcl-em
 - pr3287 do emulacji drukarki.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build
export ac_cv_lib_nsl_gethostbyname=no
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
cd c3270-3.3
%configure
%{__make}
cd ../pr3287-3.3
%configure
%{__make}
cd ../s3270-3.3
%configure
%{__make}
cd ../tcl3270-3.3
%configure
%{__make}
cd ../x3270-3.3
%configure \
	--with-fontdir=%{_fontsdir}/misc
%{__make} \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_iconsdir}/hicolor/48x48/apps}

%{__make} -j1 -C c3270-3.3 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -j1 -C pr3287-3.3 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -j1 -C s3270-3.3 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -j1 -C tcl3270-3.3 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -j1 -C x3270-3.3 install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir}

install -p %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

rm -rf doc
install -d doc/{c3270,pr3287,s3270,tcl3270,x3270}
cp -a c3270-3.3/{LICENSE,README,html} doc/c3270
cp -a pr3287-3.3/{LICENSE,README,html} doc/pr3287
cp -a s3270-3.3/{LICENSE,README,Examples,html} doc/s3270
cp -a tcl3270-3.3/{LICENSE,README,Examples,html} doc/tcl3270
cp -a x3270-3.3/{LICENSE,README*,Examples,html} doc/x3270

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc
%update_icon_cache hicolor

%postun
fontpostinst misc
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/c3270
%attr(755,root,root) %{_bindir}/pr3287
%attr(755,root,root) %{_bindir}/s3270
%attr(755,root,root) %{_bindir}/tcl3270
%attr(755,root,root) %{_bindir}/x3270
%attr(755,root,root) %{_bindir}/x3270if
%dir %{_sysconfdir}/x3270
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/x3270/ibm_hosts
%{_fontsdir}/misc/3270*.pcf.gz
%{_iconsdir}/hicolor/48x48/apps/x3270.png
%{_desktopdir}/x3270.desktop
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/suite3270.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 6c26018
- rebuild with readline 7.0
- release 3 (by relup.sh)

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ffe68cc
- tcl rebuild
- release 2 (by relup.sh)

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> e44e53a
- updated to 3.3.13ga7

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 927b673
- cleanup

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 6584be3
- fix ibm_hosts path in manuals
- fix interpreters paths in examples
- added icon and desktop entry for x3270

* Sat Jul 13 2013 Jakub Bogusz <qboosh@pld-linux.org> d734614
- updated to 3.3.12ga13

* Fri Mar 01 2013 Jakub Bogusz <qboosh@pld-linux.org> d922841
- updated to 3.3.12ga12

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 61fda74
- updated to 3.3.12ga10

* Fri Sep 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 018ea56
- updated to 3.3.12ga7

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 36bbfa7
- release 2

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> a94b77a
- fixed linking
- restored rpmcppflags

* Fri Jan 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 2c4c7e7
- updated to 3.3.11ga6

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e57ccf4
- release 3

* Mon Mar 15 2010 Jan Rękorajski <baggins@pld-linux.org> 67c7182
- rel 2
- more BRs
- single-job install

* Mon Mar 15 2010 Jan Rękorajski <baggins@pld-linux.org> add8864
- 3.3.10ga4
- updated BRs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 95c8ada
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6980511
- converted to UTF-8

* Tue Mar 07 2006 Jakub Bogusz <qboosh@pld-linux.org> 95d85ff
- new

